# Build examples
%bcond_without examples
# Build demos
%bcond_without demos
# Build docs
%bcond_without docs
# BUT building with docs triggers circular dep and has to be disabled for bootstrap.
%bcond_with bootstrap

#FOR OUR BS:
%define with_bootstrap 0
#


%{?with_bootstrap:%undefine with_docs}

%define git_long  169da60c8f657b3b61309c0a570d296107181411
%define git_short 169da60c
%define snap 20140317

%define major 1

Name:    qt-mobility
Summary: Qt Mobility Framework
Group:   Development/KDE and Qt
Version: 1.2.2
Release: %mkrel 13
License: LGPLv2 with exceptions
URL:     http://qt.digia.com/Product/Qt-Add-Ons/
%if 0%{?snap:1}
# git clone git://gitorious.org/qt-mobility/qt-mobility.git
# cd qt-mobility; git archive --prefix=qt-mobility-opensource-src-#{version}/ #{git_long} | xz -9 >  qt-mobility-opensources-src-#{version}-#{git_short}.tar.xz
Source0: qt-mobility-opensource-src-%{version}-%{git_short}.tar.xz
%else
Source0: http://get.qt.nokia.com/qt/add-ons/qt-mobility-opensource-src-%{version}.tar.gz
%endif

## local patches
# kill rpath
Patch1: qt-mobility-opensource-src-1.2.2-no_rpath.patch

## upstreamable patches
Patch50: qt-mobility-opensource-src-1.2.0-translationsdir.patch
# add pkgconfig for linux-* platforms too, Requires.private: QtCore
Patch51: qt-mobility-opensource-src-1.2.2-pkgconfig.patch
# fix ftbfs in sensors doc
Patch52: qt-mobility-opensource-src-1.2.2-sensors_ftbfs.patch
# dso
Patch53: qt-mobility-opensource-src-1.1.0-pulseaudio-lib.patch

Patch6:  qt-mobility-opensource-src-1.2.2-narrowing.patch

#compile against libproj4-6.0.0 with change of API
Patch20: qt-mobility-1.2.2-proj6.patch

## upstream patches

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(blkid)
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(gstreamer-app-1.0)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(libnm)
BuildRequires: pkgconfig(QtCore)
BuildRequires: pkgconfig(QtDeclarative)
BuildRequires: pkgconfig(QtGui)
BuildRequires: pkgconfig(QtOpenGL)
BuildRequires: pkgconfig(QtNetwork) >= 4.7
BuildRequires: pkgconfig(xv)
BuildRequires: pkgconfig(proj)
BuildRequires: gdb
# Need to build documentation. That triggers a circular dependency,
# qt4-assistant needs qtwebkit which needs qt-mobility to add location
# and sensor feature 
%if %with docs
BuildRequires: qt4-qdoc3
BuildRequires: qt4-assistant
%endif

%description
Qt Mobility Project delivers a set of new APIs to Qt with features that are
well known from the mobile device world, in particular phones. However, these
APIs allow the developer to use these features with ease from one framework and
apply them to phones, netbooks and non-mobile personal computers. The framework
not only improves many aspects of a mobile experience, because it improves the
use of these technologies, but has applicability beyond the mobile device arena

%define libqtbearer %mklibname qtbearer %{major}

%package -n %{libqtbearer}
Summary:        Qt Mobility Framework library
Group:          System/Libraries

%description -n %{libqtbearer}
Qt Mobility Framework library.

%define libqtcontacts %mklibname qtcontacts %{major}

%package -n %{libqtcontacts}
Summary:        QtContacts runtime library
Group:          System/Libraries

%description -n %{libqtcontacts}
The QtContacts module offers classes that allow you to manage addressbook
contacts

This package provides the runtime library.

%define libqtconnectivity %mklibname qtconnectivity %{major}

%package -n %{libqtconnectivity}
Summary:        QtConnectivity runtime library
Group:          System/Libraries

%description -n %{libqtconnectivity}
The QtConnectivity module provides APIs for working with local devices.

This package provides the runtime library.

%define libqtfeedback %mklibname qtfeedback %{major}

%package -n %{libqtfeedback}
Summary:        QtFeedback runtime library
Group:          System/Libraries

%description -n %{libqtfeedback}
The QtFeedback module offers classes that allow you to manage tactile feedback
and device vibration.

%define libqtgallery %mklibname qtgallery %{major}

%package -n %{libqtgallery}
Summary:        QtGallery runtime library
Group:          System/Libraries

%description -n %{libqtgallery}
The QtGallery module provides access to a gallery of documents.

This package provides the runtime library.

%define libqtlocation %mklibname qtlocation %{major}

%package -n %{libqtlocation}
Summary:        QtLocation runtime library
Group:          System/Libraries

%description -n %{libqtlocation}
The QtLocation module provides geographical support for position and map use.

This package provides the runtime library.

%define libqtmultimediakit %mklibname qtmultimediakit %{major}

%package -n %{libqtmultimediakit}
Summary:        QtMultimediaKit runtime library
Group:          System/Libraries

%description -n %{libqtmultimediakit}
This module delivers an easy to use interface to multimedia functions.
The developer is able to render images, video and sound and record sound in a
variety of formats.

This package provides the runtime library.

%define libqtorganizer %mklibname qtorganizer %{major}

%package -n %{libqtorganizer}
Summary:        QtOrganizer runtime library
Group:          System/Libraries

%description -n %{libqtorganizer}
The QtOrganizer module offers classes that allow you to manage calendar,
scheduling and personal data.

This package provides the runtime library.

%define libqtpublishsubscribe %mklibname qtpublishsubscribe %{major}

%package -n %{libqtpublishsubscribe}
Summary:        QtPublishSubscribe runtime library
Group:          System/Libraries

%description -n %{libqtpublishsubscribe}
The Publish and Subscribe API, containing Value Space, enables applications to
read item values, navigate through and subscribe to change notifications.

This package provides the runtime library.

%define libqtsensors %mklibname qtsensors %{major}

%package -n %{libqtsensors}
Summary:        QtSensors runtime library
Group:          System/Libraries

%description -n %{libqtsensors}
The QtSensors module offers classes that allow you to access sensor information
ike accelerometer and orientation.

This package provides the runtime library.

%define libqtserviceframework %mklibname qtserviceframework %{major}

%package -n %{libqtserviceframework}
Summary:        QtServiceFramework runtime library
Group:          System/Libraries

%description -n %{libqtserviceframework}
A set of Qt APIs to that allows clients to discover and instantiate arbitrary
services.

This package provides the runtime library.

%define libqtsysteminfo %mklibname qtsysteminfo %{major}

%package -n %{libqtsysteminfo}
Summary:        QtSystemInfo runtime library
Group:          System/Libraries

%description -n %{libqtsysteminfo}
A set of APIs that supplies that supplies system information.

This package provides the runtime library.

%define libqtversit %mklibname qtversit %{major}

%package -n %{libqtversit}
Summary:        QtVersit runtime library
Group:          System/Libraries

%description -n %{libqtversit}
The QtVersit module allows the management of Versit documents including
as vCards.

This package provides the runtime library.

%define libqtversitorganizer %mklibname qtversitorganizer %{major}

%package -n %{libqtversitorganizer}
Summary:        QtVersit module library
Group:          System/Libraries

%description -n %{libqtversitorganizer}
The QtVersit module allows the management of Versit documents including
as vCards.

This package provides the runtime library.

%define libnamedev %mklibname %{name} -d

%package -n %{libnamedev}
Summary:        Qt Mobility Framework development files
Group:          Development/KDE and Qt 
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqtversitorganizer} = %{version}-%{release}
Requires:       %{libqtversit} = %{version}-%{release}
Requires:       %{libqtsysteminfo} = %{version}-%{release}
Requires:       %{libqtserviceframework} = %{version}-%{release}
Requires:       %{libqtsensors} = %{version}-%{release}
Requires:       %{libqtpublishsubscribe} = %{version}-%{release}
Requires:       %{libqtorganizer} = %{version}-%{release}
Requires:       %{libqtmultimediakit} = %{version}-%{release}
Requires:       %{libqtlocation} = %{version}-%{release}
Requires:       %{libqtgallery} = %{version}-%{release}
Requires:       %{libqtfeedback} = %{version}-%{release}
Requires:       %{libqtconnectivity} = %{version}-%{release}
Requires:       %{libqtcontacts} = %{version}-%{release}
Requires:       %{libqtbearer} = %{version}-%{release}
Requires:       qt4-devel

%description -n %{libnamedev}
Development files to build applications that use Qt Mobility.

%if %with docs
%package doc
Summary:        Qt Mobility API documentation
Group:          Documentation
BuildArch:      noarch
Recommends:     qt4-doc

%description doc
API documentation files for Qt Mobility.
%endif

%if %with examples
%package examples
Summary:        Qt Mobility Framework examples
Group:          System/X11

%description examples
Example files for the Qt Mobility Framework.
%endif

%if %with demos
%package demos
Summary:        Qt Mobility Framework demos
Group:          System/X11

%description demos
Example files for the Qt Mobility Framework.
%endif

%prep
%setup -q -n %{name}-opensource-src-%{version}
rm -r src/3rdparty/proj

%patch1 -p1 -b .no_rpath
%patch50 -p1 -b .translationsdir
%patch51 -p1 -b .pkgconfig
%patch52 -p1 -b .sensors_ftbfs
%patch53 -p1 -b .pulseaudio_lib
%patch6 -p1 -b .narrowing

%patch20 -p1 -b .proj6

%build
PATH="%{_qt4_bindir}:$PATH"; export PATH
./configure \
  -prefix %{_qt4_prefix} \
  -bindir %{_bindir} \
  -headerdir %{_qt4_includedir} \
  -languages "ar cs da de es fr he hu ja ko pl pt ru sk sl sv uk zh_CN zh_TW" \
  -libdir %{_qt4_libdir} \
  -plugindir %{_qt4_plugindir} \
  %{?with_examples:-examples} \
  %{?with_demos:-demos} \
  %{?without_docs:-no-docs}

%make_build
%if %with docs
%make_build qch_docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %with docs
# manually install docs
install -p -m644 -D doc/qch/qtmobility.qch %{buildroot}%{_qt4_docdir}/qch/qtmobility.qch
mkdir -p %{buildroot}%{_qt4_docdir}/html/qtmobility
cp -a doc/html/* %{buildroot}%{_qt4_docdir}/html/qtmobility/
%endif

%files
%doc LICENSE.LGPL LGPL_EXCEPTION.txt
%{_qt4_importdir}/QtMobility/
%{_qt4_importdir}/QtMultimediaKit/
%{_qt4_plugindir}/audio/
%{_qt4_plugindir}/contacts/
%{_qt4_plugindir}/feedback/
%{_qt4_plugindir}/geoservices/
%{_qt4_plugindir}/landmarks/
%{_qt4_plugindir}/mediaservice/
%{_qt4_plugindir}/playlistformats/
%{_qt4_plugindir}/sensorgestures/
%{_qt4_plugindir}/sensors/
%{_qt4_plugindir}/versit/
%lang(ar) %{_qt4_translationdir}/qtmobility_ar.qm
%lang(cs) %{_qt4_translationdir}/qtmobility_cs.qm
%lang(da) %{_qt4_translationdir}/qtmobility_da.qm
%lang(de) %{_qt4_translationdir}/qtmobility_de.qm
%lang(es) %{_qt4_translationdir}/qtmobility_es.qm
%lang(fr) %{_qt4_translationdir}/qtmobility_fr.qm
%lang(he) %{_qt4_translationdir}/qtmobility_he.qm
%lang(hu) %{_qt4_translationdir}/qtmobility_hu.qm
%lang(ja) %{_qt4_translationdir}/qtmobility_ja.qm
%lang(ko) %{_qt4_translationdir}/qtmobility_ko.qm
%lang(pl) %{_qt4_translationdir}/qtmobility_pl.qm
%lang(pt) %{_qt4_translationdir}/qtmobility_pt.qm
%lang(ru) %{_qt4_translationdir}/qtmobility_ru.qm
%lang(sk) %{_qt4_translationdir}/qtmobility_sk.qm
%lang(sl) %{_qt4_translationdir}/qtmobility_sl.qm
%lang(sv) %{_qt4_translationdir}/qtmobility_sv.qm
%lang(uk) %{_qt4_translationdir}/qtmobility_uk.qm
%lang(zh_CN) %{_qt4_translationdir}/qtmobility_zh_CN.qm
%lang(zh_TW) %{_qt4_translationdir}/qtmobility_zh_TW.qm

%files -n %{libqtbearer}
%{_qt4_libdir}/libQtBearer.so.%{major}*

%files -n %{libqtcontacts}
%{_qt4_libdir}/libQtContacts.so.%{major}*

%files -n %{libqtconnectivity}
%{_qt4_libdir}/libQtConnectivity.so.%{major}*

%files -n %{libqtfeedback}
%{_qt4_libdir}/libQtFeedback.so.%{major}*

%files -n %{libqtgallery}
%{_qt4_libdir}/libQtGallery.so.%{major}*

%files -n %{libqtlocation}
%{_qt4_libdir}/libQtLocation.so.%{major}*

%files -n %{libqtmultimediakit}
%{_qt4_libdir}/libQtMultimediaKit.so.%{major}*

%files -n %{libqtorganizer}
%{_qt4_libdir}/libQtOrganizer.so.%{major}*

%files -n %{libqtpublishsubscribe}
%{_qt4_libdir}/libQtPublishSubscribe.so.%{major}*

%files -n %{libqtsensors}
%{_qt4_libdir}/libQtSensors.so.%{major}*

%files -n %{libqtserviceframework}
%{_qt4_libdir}/libQtServiceFramework.so.%{major}*

%files -n %{libqtsysteminfo}
%{_qt4_libdir}/libQtSystemInfo.so.%{major}*

%files -n %{libqtversit}
%{_qt4_libdir}/libQtVersit.so.%{major}*

%files -n %{libqtversitorganizer}
%{_qt4_libdir}/libQtVersitOrganizer.so.%{major}*

%files -n %{libnamedev}
%{_bindir}/icheck
%{_bindir}/ndefhandlergen
%{_bindir}/qcrmlgen
%{_bindir}/servicedbgen
%{_bindir}/servicefw
%{_bindir}/servicexmlgen
%{_bindir}/vsexplorer
%{_qt4_prefix}/mkspecs/features/mobility.prf
%{_qt4_prefix}/mkspecs/features/mobilityconfig.prf 
%{_qt4_includedir}/Qt*/
%{_qt4_libdir}/libQt*.prl
%{_qt4_libdir}/libQt*.so
%{_qt4_libdir}/pkgconfig/Qt*.pc

%if %with docs
%files doc
%{_qt4_docdir}/qch/qtmobility.qch
%{_qt4_docdir}/html/qtmobility/
%endif

%if %with examples
%files examples
%{_qt4_bindir}/accel
%{_qt4_bindir}/annotatedurl
%{_qt4_bindir}/arrowkeys
%{_qt4_bindir}/audiodevices
%{_qt4_bindir}/audioinput
%{_qt4_bindir}/audiooutput
%{_qt4_bindir}/audiorecorder
%{_qt4_bindir}/battery-publisher
%{_qt4_bindir}/bearercloud
%{_qt4_bindir}/bearermonitor
%{_qt4_bindir}/btchat
%{_qt4_bindir}/btfiletransfer
%{_qt4_bindir}/btscanner
%{_qt4_bindir}/bttennis
%{_qt4_bindir}/calendardemo
%{_qt4_bindir}/camera
%{_qt4_bindir}/cubehouse
%{_qt4_bindir}/declarative-music-browser
%{_qt4_bindir}/dialer_service
%{_qt4_bindir}/documentproperties
%{_qt4_bindir}/flickrdemo
%{_qt4_bindir}/grueapp
%{_qt4_bindir}/hapticsplayer
%{_qt4_bindir}/hapticsquare
%{_qt4_bindir}/landmarkbrowser
%{_qt4_bindir}/logfilepositionsource
%{_qt4_bindir}/mapsdemo
%{_qt4_bindir}/mediabrowser
%{_qt4_bindir}/metadata
%{_qt4_bindir}/metadata2
%{_qt4_bindir}/moreplaces.lmx
%{_qt4_bindir}/mylm.lmx
%{_qt4_bindir}/ndefeditor
%{_qt4_bindir}/nmealog.txt
%{_qt4_bindir}/orientation
%{_qt4_bindir}/places.gpx
%{_qt4_bindir}/publish-subscribe
%{_qt4_bindir}/qml_battery
%{_qt4_bindir}/qml_battery2
%{_qt4_bindir}/qml_camera
%{_qt4_bindir}/qml_device
%{_qt4_bindir}/qmldialer
%{_qt4_bindir}/qml_landmarkmap
%{_qt4_bindir}/qml_location_flickr
%{_qt4_bindir}/qml_mapviewer
%{_qt4_bindir}/qml_networkinfo
%{_qt4_bindir}/qmlnotes
%{_qt4_bindir}/qmlorganizer
%{_qt4_bindir}/qml_poster
%{_qt4_bindir}/qml_scanner
%{_qt4_bindir}/qml_storageinfo
%{_qt4_bindir}/qml_tennis
%{_qt4_bindir}/qsysinfo
%{_qt4_bindir}/qsystemalignedtimer
%{_qt4_bindir}/radio
%{_qt4_bindir}/samplephonebook
%{_qt4_bindir}/sensor_explorer
%{_qt4_bindir}/servicebrowser
%{_qt4_bindir}/sfwecho_client
%{_qt4_bindir}/sfwecho_service
%{_qt4_bindir}/sfw-notes
%{_qt4_bindir}/show_acceleration
%{_qt4_bindir}/show_als
%{_qt4_bindir}/show_compass
%{_qt4_bindir}/show_gyroscope
%{_qt4_bindir}/show_light
%{_qt4_bindir}/show_magneticflux
%{_qt4_bindir}/show_orientation
%{_qt4_bindir}/show_proximity
%{_qt4_bindir}/show_reflectance
%{_qt4_bindir}/show_rotation
%{_qt4_bindir}/show_tap
%{_qt4_bindir}/simplelog.txt
%{_qt4_bindir}/slideshow
%{_qt4_bindir}/todo
%{_qt4_bindir}/videographicsitem
%{_qt4_bindir}/videowidget
%{_qt4_bindir}/xmldata
%dir %{_qt4_bindir}/battery-subscriber
%{_qt4_bindir}/battery-subscriber/*
%dir %{_qt4_bindir}/qmlvideo
%{_qt4_bindir}/qmlvideo/*
%dir %{_qt4_bindir}/qmlvideofx
%{_qt4_bindir}/qmlvideofx/*
%dir %{_qt4_libdir}/qt4/examples/qtsensors
%dir %{_qt4_libdir}/qt4/examples/qtsensors/shakeit
%{_qt4_libdir}/qt4/examples/qtsensors/shakeit/*
%{_qt4_plugindir}/serviceframework/libserviceframework_voipdialerservice.so
%{_qt4_plugindir}/serviceframework/libserviceframework_landlinedialerservice.so
%{_qt4_plugindir}/serviceframework/libserviceframework_filemanagerplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_bluetoothtransferplugin.so
%{_qt4_plugindir}/serviceframework/libserviceframework_notesmanagerplugin.so
%{_qt4_plugindir}/sensors/libqtsensors_grueplugin.so
%endif

%if %with demos
%files demos
%{_qt4_bindir}/lightmaps_with_location
%{_qt4_bindir}/player
%{_qt4_bindir}/qmlcontacts
%{_qt4_bindir}/smallsensors
%{_qt4_bindir}/weatherinfo_with_location
%endif


%changelog
* Fri Mar 20 2020 eatdirt <eatdirt> 1.2.2-13.mga8
+ Revision: 1558278
- Rebuild for new libproj

* Sat Feb 15 2020 umeabot <umeabot> 1.2.2-12.mga8
+ Revision: 1528512
- Mageia 8 Mass Rebuild

* Thu Aug 22 2019 daviddavid <daviddavid> 1.2.2-11.mga8
+ Revision: 1431297
- adjust BR for new NM

* Sun Mar 31 2019 daviddavid <daviddavid> 1.2.2-10.mga7
+ Revision: 1383392
- rebuild for arm

* Thu Mar 07 2019 eatdirt <eatdirt> 1.2.2-9.mga7
+ Revision: 1372225
- Rebuild for new proj

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-8.mga7
+ Revision: 1300711
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 daviddavid <daviddavid> 1.2.2-7.mga7
+ Revision: 1210004
- rebuild for new proj 5.0.0

* Sat Jan 06 2018 kekepower <kekepower> 1.2.2-6.mga7
+ Revision: 1190807
- Bump rel
- Removed dependency for gstreamer0.10
- One description was more than 79 chars long
- Removed end of line whitespaces
- General cleanup

* Tue Oct 31 2017 eatdirt <eatdirt> 1.2.2-5.mga7
+ Revision: 1175253
- Fix narrowing error with new gcc
- Rebuild for new libproj

* Fri May 20 2016 eatdirt <eatdirt> 1.2.2-4.mga6
+ Revision: 1017203
- Rebuild with docs against qtwebkit (without bootstrap)

* Fri May 20 2016 eatdirt <eatdirt> 1.2.2-3.mga6
+ Revision: 1017194
- Set --without bootstrap by default
- Add bcond on bootstrap/docs to break circular dependency with qtwebkit
+ tv <tv>
- rebuild for new libproj

* Wed Jan 20 2016 luigiwalser <luigiwalser> 1.2.2-1.mga6
+ Revision: 925982
- 1.2.2 (final git snapshot from 20140317, via fedora)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-13.mga5
+ Revision: 743867
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 688525
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-11.mga4
+ Revision: 517901
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-10.mga3
+ Revision: 379925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 malo <malo> 1.2.0-9.mga3
+ Revision: 307344
- update RPM group

* Sat Sep 08 2012 fwang <fwang> 1.2.0-8.mga3
+ Revision: 290280
- force qt4 flavour

* Tue Aug 07 2012 neoclust <neoclust> 1.2.0-7.mga3
+ Revision: 279788
- Make sure to not build against Qt5

* Fri Jun 29 2012 colin <colin> 1.2.0-6.mga3
+ Revision: 265077
- Add build fix from Nicolas Lécureuil (Mandriva)
- Rebuild against new libudev major

* Wed Jan 25 2012 mikala <mikala> 1.2.0-5.mga2
+ Revision: 200680
- Rebuild for Qt4.8 (new qtprefix)

* Tue Dec 27 2011 dmorgan <dmorgan> 1.2.0-4.mga2
+ Revision: 188020
- Fix install of header files
- Rebuild against new qt4 and new include path

* Sun Dec 11 2011 mikala <mikala> 1.2.0-3.mga2
+ Revision: 180486
- Use pkconfig() for BuildRequires
- Remove wrong provides
- Fix requires in -devel package
- Clean/order spec (put %%description before %%files, remove %%defattr())
- use chrpath
- remove macros provided by qt4 package
- Add missing build requires to build documentation
- Update tarball
- Add patch from fedora to build pkconfig() for qt-mobility-devel
- Update description/summary for several subpackages
+ ze <ze>
- chrpath is not needed
- qmf is optionally builrequired but still needs to be reviewed
- fix groups
- easy way to handle all libraries dependencies
- set require to release since libraries were splitted
- fix lib package names
- add missing conflict due to split libraries
- split libraries
- add missing buildrequire libxrandr-devel
- list plugins directories
- Adding missing provides
- imported package qt-mobility

